BarathAlagar
Mechanical
- Apr 6, 2021
- 10
The automation script I have developed is trying to active an existing sketch using the code:
sketch.Activate(NXOpen.Sketch.ViewReorient.False)
The sketch is activated but sketch related tools are not visible(i.e., Sketch workbench UI not visible)
To get the sketch workbench / UI, the user must navigate to Menu-->Edit-->Sketch
Similarly, while I try to deactivate the sketch through code the Sketch workbench / UI is not reverting to the previous status
The code used is:
theSession.ActiveSketch.Deactivate(NXOpen.Sketch.ViewReorient.False, NXOpen.Sketch.UpdateLevel.SketchOnly)
i.e., The sketch has come out from the edit mode, but the UI still shows with Sketch workbench tools
Note: I am using NX1946
Please help me to solve the issue
sketch.Activate(NXOpen.Sketch.ViewReorient.False)
The sketch is activated but sketch related tools are not visible(i.e., Sketch workbench UI not visible)
To get the sketch workbench / UI, the user must navigate to Menu-->Edit-->Sketch
Similarly, while I try to deactivate the sketch through code the Sketch workbench / UI is not reverting to the previous status
The code used is:
theSession.ActiveSketch.Deactivate(NXOpen.Sketch.ViewReorient.False, NXOpen.Sketch.UpdateLevel.SketchOnly)
i.e., The sketch has come out from the edit mode, but the UI still shows with Sketch workbench tools
Note: I am using NX1946
Please help me to solve the issue